Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.bench
Class Mark

    java.lang.Object
      com.intel.cosbench.bench.Mark

All Implemented Interfaces:
  MapRegistry.Item, java.lang.Cloneable

    public class Mark

extends java.lang.Object
implements java.lang.Cloneable, MapRegistry.Item

The class aggregates performance data in one sample interval.

Author:
  ywang19

Constructor Summary
`Mark()`

Method Summary
`void` | `addOperation(Result result)`
`void` | `addSample(Sample sample)`
`void` | `clear()`
`long` | `getByteCount()`
`static java.lang.String` | `getMarkType(java.lang.String opType, java.lang.String sampleType)`
`java.lang.String` | `getName()`
`int` | `getOpCount()`
`java.lang.String` | `getOpType()`
`long` | `getRtSum()`
`int` | `getSampleCount()`
`java.lang.String` | `getSampleType()`
`int` | `getTotalOpCount()`
`int` | `getTotalSampleCount()`
`static Mark` | `newMark(java.lang.String type)`
`void` | `setByteCount(long byteCount)`
`void` | `setName(java.lang.String name)`
`void` | `setOpCount(int opCount)`
`void` | `setOpType(java.lang.String opType)`
`void` | `setRtSum(long rtSum)`
`void` | `setSampleCount(int sampleCount)`
`void` | `setSampleType(java.lang.String sampleType)`
`void` | `setTotalOpCount(int totalOpCount)`
`void` | `setTotalSampleCount(int totalSampleCount)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mark

    public Mark()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `MapRegistry.Item`

### setName

    public void setName(java.lang.String name)

### getOpType

    public java.lang.String getOpType()

### setOpType

    public void setOpType(java.lang.String opType)

### getSampleType

    public java.lang.String getSampleType()

### setSampleType

    public void setSampleType(java.lang.String sampleType)

### getOpCount

    public int getOpCount()

### setOpCount

    public void setOpCount(int opCount)

### getSampleCount

    public int getSampleCount()

### setSampleCount

    public void setSampleCount(int sampleCount)

### getTotalOpCount

    public int getTotalOpCount()

### setTotalOpCount

    public void setTotalOpCount(int totalOpCount)

### getTotalSampleCount

    public int getTotalSampleCount()

### setTotalSampleCount

    public void setTotalSampleCount(int totalSampleCount)

### getRtSum

    public long getRtSum()

### setRtSum

    public void setRtSum(long rtSum)

### getByteCount

    public long getByteCount()

### setByteCount

    public void setByteCount(long byteCount)

### clear

    public void clear()

### addSample

    public void addSample(Sample sample)

### addOperation

    public void addOperation(Result result)

### getMarkType

    public static java.lang.String getMarkType(java.lang.String opType,
                                               java.lang.String sampleType)

### newMark

    public static Mark newMark(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD